DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 13
SET @NewSecretTypeName = 'Cellphone Security'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '0A38E89F-DAAC-434f-8401-7923673C2D10'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--											SortOrder             Required   Encrypt IsPassword
	SELECT 52,
		'Name', 'Name of Phone User',				1,	@NewSecretTypeId, 1, 'string' ,0,	0, '0A38E89F-DAAC-434f-8401-7923673C2D10' UNION
	SELECT 53,
		'SerialNum', 'Phone Serial Number',			2,	@NewSecretTypeId, 1, 'string' ,1,	0, '98111322-DC26-4072-A9F9-224CA8C4EB88' UNION
	SELECT 54,
		'SecurityCode', 'Phone Security Code',		3,	@NewSecretTypeId, 1, 'string' ,1,	0, '7D102B2C-B335-457d-A863-224CA8C4EB88' UNION
	SELECT 55,
		'Notes', 'Notes',							4,	@NewSecretTypeId, 0, 'string' ,1,	0, '0A38E89F-DAAC-4a82-AC30-2B527E466BE8'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END
